Build failed in Jenkins: IcedTea8TargetTesting #832
Hudson Admin
gnu.andrew at redhat.com
Sun Aug 17 08:01:57 UTC 2014
See <http://toadeater.yyz.redhat.com:8080/job/IcedTea8TargetTesting/832/>
------------------------------------------
[...truncated 533 lines...]
/bin/wget http://icedtea.classpath.org/hg/icedtea8-forest/langtools/archive/dd7b57ab4ab1.tar.gz -O langtools.tar.gz; \
if ! echo "1aa3b505f3fbb3cc01d480dae0196c7038982bd29ae2df84ad14d587d29976cc langtools.tar.gz" \
| /bin/sha256sum --check ; \
then echo "ERROR: Bad download of langtools zip"; false; \
fi; \
fi ;
langtools.tar.gz: OK
mkdir -p stamps
touch stamps/download-openjdk.stamp
set -e ; \
if ! test -d openjdk ; then \
if [ ! -z openjdk.tar.gz ] ; then \
case "openjdk.tar.gz" in \
*.zip) /bin/unzip -q openjdk.tar.gz ;; \
*.tar.*) /bin/tar xf openjdk.tar.gz ;; \
esac; \
mv *-e0a10e6be00a openjdk ; \
else \
echo "ERROR: Couldn't extract OpenJDK"; \
false; \
fi; \
fi;
set -e ; \
if [ ! -z corba.tar.gz ] ; then \
if test -e corba.tar.gz ; \
then \
if ! test -d openjdk/corba ; \
then \
case "corba.tar.gz" in \
*.zip) /bin/unzip -q corba.tar.gz ;; \
*.tar.*) /bin/tar xf corba.tar.gz ;; \
esac; \
mv corba-a96c01f523be openjdk/corba ; \
fi ; \
fi ; \
fi
set -e ; \
if [ ! -z jaxp.tar.gz ] ; then \
if test -e jaxp.tar.gz ; \
then \
if ! test -d openjdk/jaxp ; \
then \
case "jaxp.tar.gz" in \
*.zip) /bin/unzip -q jaxp.tar.gz ;; \
*.tar.*) /bin/tar xf jaxp.tar.gz ;; \
esac; \
mv jaxp-e16be40cfc32 openjdk/jaxp ; \
fi ; \
fi ; \
fi
set -e ; \
if [ ! -z jaxws.tar.gz ] ; then \
if test -e jaxws.tar.gz ; \
then \
if ! test -d openjdk/jaxws ; \
then \
case "jaxws.tar.gz" in \
*.zip) /bin/unzip -q jaxws.tar.gz ;; \
*.tar.*) /bin/tar xf jaxws.tar.gz ;; \
esac; \
mv jaxws-806fa0e68d92 openjdk/jaxws ; \
fi ; \
fi ; \
fi
set -e ; \
if [ ! -z jdk.tar.gz ] ; then \
if test -e jdk.tar.gz ; \
then \
if ! test -d openjdk/jdk ; \
then \
case "jdk.tar.gz" in \
*.zip) /bin/unzip -q jdk.tar.gz ;; \
*.tar.*) /bin/tar xf jdk.tar.gz ;; \
esac; \
mv jdk-dc14d13daa5e openjdk/jdk ; \
fi ; \
fi ; \
fi
set -e ; \
if [ ! -z langtools.tar.gz ] ; then \
if test -e langtools.tar.gz ; \
then \
if ! test -d openjdk/langtools ; \
then \
case "langtools.tar.gz" in \
*.zip) /bin/unzip -q langtools.tar.gz ;; \
*.tar.*) /bin/tar xf langtools.tar.gz ;; \
esac; \
mv langtools-dd7b57ab4ab1 openjdk/langtools ; \
fi ; \
fi ; \
fi
rm -rf openjdk/jdk/make/tools/src/build/tools/javazic
touch stamps/extract-openjdk.stamp
mkdir -p stamps
touch stamps/download-cacao.stamp
mkdir -p stamps
touch stamps/extract-cacao.stamp
set -e ; \
if [ ! -z hotspot.tar.gz ] ; then \
if test -e hotspot.tar.gz ; \
then \
case "hotspot.tar.gz" in \
*.zip) /bin/unzip -q hotspot.tar.gz ;; \
*.tar.*) /bin/tar xf hotspot.tar.gz ;; \
esac; \
if test "xdefault" != "xdefault"; then \
rm -rf openjdk/hotspot ; \
fi ; \
if ! test -d openjdk/hotspot ; \
then \
mv hotspot-"`gawk 'version==$1 {print $3}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`" openjdk/hotspot ; \
else \
rm -rf hotspot-"`gawk 'version==$1 {print $3}' version=default /notnfs/nighttester/icedtea8-target-testing/hotspot.map`" ; \
fi ; \
fi ; \
fi
touch stamps/extract-hotspot.stamp
ln -sf /notnfs/nighttester/drops/icedtea8/nashorn.tar.gz nashorn.tar.gz
if ! echo "fb245c9a4a47b68aece3c4f0cac6fc8ac91c8458bb91648b9a8e3d95ed3981ea nashorn.tar.gz" \
| /bin/sha256sum --check ; \
then \
if [ nashorn.tar.gz ] ; \
then \
mv nashorn.tar.gz nashorn.tar.gz.old ; \
fi ; \
/bin/wget http://icedtea.classpath.org/hg/icedtea8-forest/nashorn/archive/fdcdffd5b5b1.tar.gz -O nashorn.tar.gz; \
if ! echo "fb245c9a4a47b68aece3c4f0cac6fc8ac91c8458bb91648b9a8e3d95ed3981ea nashorn.tar.gz" \
| /bin/sha256sum --check ; \
then echo "ERROR: Bad download of NASHORN zip"; false; \
fi; \
fi ;
nashorn.tar.gz: OK
mkdir -p stamps
touch stamps/download-nashorn.stamp
set -e ; \
if [ ! -z nashorn.tar.gz ] ; then \
if test -e nashorn.tar.gz ; \
then \
if ! test -d openjdk/nashorn ; \
then \
case "nashorn.tar.gz" in \
*.zip) /bin/unzip -q nashorn.tar.gz ;; \
*.tar.*) /bin/tar xf nashorn.tar.gz ;; \
esac; \
mv nashorn-fdcdffd5b5b1 openjdk/nashorn ; \
fi ; \
fi ; \
fi
mkdir -p stamps
touch stamps/extract-nashorn.stamp
chmod -R ug+w openjdk
sh ./fsg.sh
Further liberating OpenJDK...
touch stamps/sanitise-openjdk.stamp
sh /notnfs/nighttester/icedtea8-target-testing/remove-intree-libraries.sh
Removing zlib
touch stamps/remove-intree-libraries.stamp
mkdir -p stamps
touch stamps/extract-jamvm.stamp
mkdir -p stamps
touch stamps/extract.stamp
mkdir -p stamps ; \
rm -f stamps/patch-fsg.stamp.tmp ; \
touch stamps/patch-fsg.stamp.tmp ; \
all_patches_ok=yes; \
for p in ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /bin/patch -l -p0 --dry-run -s -t -f \
-F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
then \
echo Applying $p ; \
/bin/patch -l -p0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea8-target-testing/HACKING \
>> stamps/patch-fsg.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch-fsg.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
mv stamps/patch-fsg.stamp.tmp stamps/patch-fsg.stamp ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi ;
mkdir -p stamps ; \
rm -f stamps/patch.stamp.tmp ; \
touch stamps/patch.stamp.tmp ; \
all_patches_ok=yes; \
cd /notnfs/nighttester/icedtea8-target-testing/openjdk/jdk; \
for p in ; \
do \
if test x${all_patches_ok} == "xyes" \
&& echo Checking $p \
&& /bin/patch -l -p1 --dry-run -s -t -f -F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
then \
echo Applying $p ; \
/bin/patch -l -p1 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
else \
test x${all_patches_ok} == "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
cd /notnfs/nighttester/icedtea8-target-testing ; \
for p in patches/memory-limits.patch patches/override-redirect-metacity.patch patches/systemtap-gcc-4.5.patch patches/nss-not-enabled-config.patch ; \
do \
if test x${all_patches_ok} = "xyes" \
&& echo Checking $p \
&& /bin/patch -l -p0 --dry-run -s -t -f \
-F 0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
then \
echo Applying $p ; \
/bin/patch -l -p0 < /notnfs/nighttester/icedtea8-target-testing/$p ; \
if ! grep "^\* $(basename $p)" /notnfs/nighttester/icedtea8-target-testing/HACKING \
>> stamps/patch.stamp.tmp ; \
then \
echo "* $(basename $p): UNDOCUMENTED" \
>> stamps/patch.stamp.tmp ; \
fi ; \
else \
test x${all_patches_ok} = "xyes" && all_patches_ok=$p ; \
fi ; \
done ; \
if ! test x${all_patches_ok} = "xyes"; then \
echo ERROR patch ${all_patches_ok} FAILED! ; \
echo WARNING make clean-patch before retrying a fix ; \
exit 2; \
fi ; \
mv stamps/patch.stamp.tmp stamps/patch.stamp
Checking patches/memory-limits.patch
The text leading up to this was:
--------------------------
|diff -Nru openjdk.orig/hotspot/src/share/vm/runtime/globals.hpp openjdk/hotspot/src/share/vm/runtime/globals.hpp
|--- openjdk.orig/hotspot/src/share/vm/runtime/globals.hpp 2014-04-23 22:06:29.000000000 +0100
|+++ openjdk/hotspot/src/share/vm/runtime/globals.hpp 2014-05-12 20:42:01.633428300 +0100
--------------------------
No file to patch. Skipping patch.
1 out of 1 hunk ignored
ERROR patch patches/memory-limits.patch FAILED!
WARNING make clean-patch before retrying a fix
make: *** [stamps/patch.stamp] Error 2
+ exit 1
Build step 'Execute shell' marked build as failure
No JDK named ‘(Default)’ found
More information about the icedtea-test
mailing list